Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.testing.aTest.impl
Class ModelImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.amp.amf.testing.aTest.impl.ModelImpl

All Implemented Interfaces:
  Model, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject

    public class ModelImpl

extends org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
implements Model

An implementation of the model object 'Model'.

The following features are implemented:

- `Name`
- `Description`
- `Tests`
- `Contraints`
- `Contains`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected org.eclipse.emf.common.util.EList<TestMember>` | `contains` The cached value of the '`Contains`' containment reference list.
`protected org.eclipse.emf.common.util.EList<Constraint>` | `contraints` The cached value of the '`Contraints`' containment reference list.
`protected java.lang.String` | `description` The cached value of the '`Description`' attribute.
`protected static java.lang.String` | `DESCRIPTION_EDEFAULT` The default value of the '`Description`' attribute.
`protected java.lang.String` | `name` The cached value of the '`Name`' attribute.
`protected static java.lang.String` | `NAME_EDEFAULT` The default value of the '`Name`' attribute.
`protected Tests` | `tests` The cached value of the '`Tests`' containment reference.

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` | `ModelImpl()`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetTests(Tests newTests, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` | `eStaticClass()`
`void` | `eUnset(int featureID)`
`org.eclipse.emf.common.util.EList<TestMember>` | `getContains()`
`org.eclipse.emf.common.util.EList<Constraint>` | `getContraints()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getName()`
`Tests` | `getTests()`
`void` | `setDescription(java.lang.String newDescription)`
`void` | `setName(java.lang.String newName)`
`void` | `setTests(Tests newTests)`
`java.lang.String` | `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### NAME_EDEFAULT

    protected static final java.lang.String NAME_EDEFAULT

  The default value of the '`Name`' attribute.

  See Also:
    `getName()`

### name

    protected java.lang.String name

  The cached value of the '`Name`' attribute.

  See Also:
    `getName()`

### DESCRIPTION_EDEFAULT

    protected static final java.lang.String DESCRIPTION_EDEFAULT

  The default value of the '`Description`' attribute.

  See Also:
    `getDescription()`

### description

    protected java.lang.String description

  The cached value of the '`Description`' attribute.

  See Also:
    `getDescription()`

### tests

    protected Tests tests

  The cached value of the '`Tests`' containment reference.

  See Also:
    `getTests()`

### contraints

    protected org.eclipse.emf.common.util.EList<Constraint> contraints

  The cached value of the '`Contraints`' containment reference list.

  See Also:
    `getContraints()`

### contains

    protected org.eclipse.emf.common.util.EList<TestMember> contains

  The cached value of the '`Contains`' containment reference list.

  See Also:
    `getContains()`

Constructor Detail

### ModelImpl

    protected ModelImpl()

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Model`
  Returns:
    the value of the 'Name' attribute.
  See Also:
    `Model.setName(String)`, `ATestPackage.getModel_Name()`

### setName

    public void setName(java.lang.String newName)

  Specified by:
    `setName` in interface `Model`
  Parameters:
    `newName` - the new value of the 'Name' attribute.
  See Also:
    `Model.getName()`

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in interface `Model`
  Returns:
    the value of the 'Description' attribute.
  See Also:
    `Model.setDescription(String)`, `ATestPackage.getModel_Description()`

### setDescription

    public void setDescription(java.lang.String newDescription)

  Specified by:
    `setDescription` in interface `Model`
  Parameters:
    `newDescription` - the new value of the 'Description' attribute.
  See Also:
    `Model.getDescription()`

### getTests

    public Tests getTests()

  Specified by:
    `getTests` in interface `Model`
  Returns:
    the value of the 'Tests' containment reference.
  See Also:
    `Model.setTests(Tests)`, `ATestPackage.getModel_Tests()`

### basicSetTests

    public org.eclipse.emf.common.notify.NotificationChain basicSetTests(Tests newTests,
                                                                         org.eclipse.emf.common.notify.NotificationChain msgs)

### setTests

    public void setTests(Tests newTests)

  Specified by:
    `setTests` in interface `Model`
  Parameters:
    `newTests` - the new value of the 'Tests' containment reference.
  See Also:
    `Model.getTests()`

### getContraints

    public org.eclipse.emf.common.util.EList<Constraint> getContraints()

  Specified by:
    `getContraints` in interface `Model`
  Returns:
    the value of the 'Contraints' containment reference list.
  See Also:
    `ATestPackage.getModel_Contraints()`

### getContains

    public org.eclipse.emf.common.util.EList<TestMember> getContains()

  Specified by:
    `getContains` in interface `Model`
  Returns:
    the value of the 'Contains' containment reference list.
  See Also:
    `ATestPackage.getModel_Contains()`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD